Bug 426602 - distorted (but otherwise working) sound from snd-hda-intel
distorted (but otherwise working) sound from snd-hda-intel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 16:58 EST by Stuart D Gathman
Modified: 2009-01-09 00:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2007-12-22 16:58:51 EST
Description of problem:
Although sound works perfectly otherwise, the output is distorted, like it went
through a distortion or overdrive filter.  Connected external speakers, tested
on two HP laptops with Intel audio.  EL5 (2.6.18) does not have the problem.

Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8

How reproducible:
Distortion is audible in Soundcard Detection, or in any audio application.

Steps to Reproduce:
1.Select Soundcard Detection from menu
2. Click Test button.
3. Install flash plugin and goto magnatune.com or youtube.com to hear distortion
on a wide variety of sounds, or play a CD.
  
Actual results:
Distortion, especially on low frequencies.  This is some kind of clipping, not
just "tinny" tone.

Expected results:
Clear audio.  ("Tinny" is to be expected on laptop speakers, but not distortion.)

Additional info:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
Comment 1 Stuart D Gathman 2007-12-26 02:17:45 EST
Lots of people have this problem.  Apparently works in F7 and Ubuntu as well as EL5.
http://forums.fedoraforum.org/showthread.php?p=929936
Comment 2 Chuck Ebbert 2008-01-02 13:25:44 EST
Try turning down the volume inside the application program. Some of them
apparently feed overmodulated sound to ALSA...
Comment 3 Stuart D Gathman 2008-01-02 23:08:05 EST
It is mostly fixed by compiling and installing the latest alsa source per the
instructions in the forum thread.  The few remaining cases (full chorus in
classical) could indeed be the applications.  To recap:

su -c "yum groupinstall 'Development Tools'"
su -c "yum install mercurial"
hg clone http://hg-mirror.alsa-project.org/alsa-driver alsa-driver
hg clone http://hg-mirror.alsa-project.org/alsa-kernel alsa-driver/alsa-kernel
cd alsa-driver
make ALSAKERNELDIR=alsa-kernel all-deps
aclocal; autoconf
./configure --with-cards=hda-intel
make || make
su -c "make install" 
Comment 4 Bug Zapper 2008-11-26 04:07:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:35:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.